### Method

# Ide SourceView scroll_to_iter

#### Declaration

    void
    ide_source_view_scroll_to_iter (
      IdeSourceView* self,
      const GtkTextIter* iter,
      gdouble within_margin,
      IdeSourceScrollAlign use_align,
      gdouble xalign,
      gdouble yalign,
      gboolean animate_scroll
    )

#### Description

No description available.

#### Parameters

`iter` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`within_margin` | `gdouble`
| No description available.
`use_align` | `IdeSourceScrollAlign`
| No description available.
`xalign` | `gdouble`
| No description available.
`yalign` | `gdouble`
| No description available.
`animate_scroll` | `gboolean`
| No description available.